0
Résultats de validation

Mechanic

Mechanic

WordPress 4.9.8 theme
0
Alertes critiques
  1. Customizer : Sanitization des Customizer settings Un setting Customizer a été trouvé sans callback de sanitization dans le fichier customizer.php. Tous les appels à la méthode add_setting() doivent déclarer une fonction de filtrage.
  2. Title : Title Les tags <title> ne peuvent contenir qu'un appe à wp_title(). wp_title filter soit être utilisée pour modifier la sortie.
  3. Failles de sécurité : Utilisation de base64_decode() base64_decode trouvé dans le fichier radium-importer.php.
    Line 332: $data = unserialize(base64_decode( $data));
    base64_decode trouvé dans le fichier twitteroauth.php.
    Line 208: $decoded_sig = base64_decode($signature);
    base64_decode trouvé dans le fichier admin-functions.php.
    Line 164: $data = unserialize(base64_decode( $data['weblusive_import'] ));
  4. Failles de sécurité : Utilisation de base64_encode() base64_encode trouvé dans le fichier twitteroauth.php.
     return base64_encode(hash_hmac('sha1', $base_string, $key, true));
     return base64_encode($signature);
    base64_encode trouvé dans le fichier admin-ui.php.
     <textarea style='width:100%' rows='7'><?php echo $currentsettings = base64_encode( serialize( $current_options )); ?></textarea>
  5. Présence d'iframes : Les iframes sont parfois utilisées pour charger du contenu non désirés ou du code malicieux sur des sites tiers <iframe src="http://player.vimeo.com/video/<?php echo esc_attr($video)?> trouvé dans le fichier inner-header-content.php.
    Line 111: <iframe src='http://player.vimeo.com/video/<?php echo esc_attr($video)?>' w
    <iframe width="' . $width . '" height="' . $height . '" src="' . $src . '" class="vid iframe-' . $site . '"> trouvé dans le fichier shortcode.php.
    Line 503: return '<div class='flex-video ' . $anim . ' ' . $class . ''><iframe width='' . $width . '' height='' . $height . '' src='' . $src . '' 
  6. Code malveillant : Opérations sur système de fichiers file_get_contents trouvé dans le fichier parsers.php.
    Line 252: if ( ! xml_parse( $xml, file_get_contents( $file ), true ) ) {
    fopen trouvé dans le fichier parsers.php.
    Line 398: $fp = $this->fopen( $file, 'r' );
    Line 624: function fopen( $filename, $mode = 'r' ) {
    Line 627: return fopen( $filename, $mode );
    fclose trouvé dans le fichier parsers.php.
    Line 447: $this->fclose($fp);
    Line 642: function fclose( $fp ) {
    Line 645: return fclose( $fp );
    fopen trouvé dans le fichier parsers.php.
    Line 398: $fp = $this->fopen( $file, 'r' );
    Line 624: function fopen( $filename, $mode = 'r' ) {
    Line 627: return fopen( $filename, $mode );
    fopen trouvé dans le fichier parsers.php.
    Line 398: $fp = $this->fopen( $file, 'r' );
    Line 624: function fopen( $filename, $mode = 'r' ) {
    Line 627: return fopen( $filename, $mode );
    fclose trouvé dans le fichier parsers.php.
    Line 447: $this->fclose($fp);
    Line 642: function fclose( $fp ) {
    Line 645: return fclose( $fp );
    fclose trouvé dans le fichier parsers.php.
    Line 447: $this->fclose($fp);
    Line 642: function fclose( $fp ) {
    Line 645: return fclose( $fp );
    file_get_contents trouvé dans le fichier radium-importer.php.
    Line 330: $data = file_get_contents( $file );
    Line 412: $data = file_get_contents( $file );
    file_get_contents trouvé dans le fichier radium-importer.php.
    Line 330: $data = file_get_contents( $file );
    Line 412: $data = file_get_contents( $file );
    file_get_contents trouvé dans le fichier twitteroauth.php.
    Line 278: file_get_contents(self::$POST_INPUT)
  7. Code malveillant : Opérations réseau curl_init trouvé dans le fichier twitteroauth.php.
    Line 1085: $ci = curl_init();
    curl_exec trouvé dans le fichier twitteroauth.php.
    Line 1111: $response = curl_exec($ci);
  8. Menu Admin : Les thèmes doivent utiliser add_theme_page () pour ajouter des pages admin. Fichier class-tgm-plugin-activation.php :
    Line 616: $this->page_hook = call_user_func( 'add_submenu_page', $args['parent_slug'], $args['page_title'], $args['menu_t
    Fichier radium-importer.php :
    Line 87: add_submenu_page('panel', 'Import Demo Data', 'Import Demo Data', 'switch_t
    Fichier admin-functions.php :
    Line 180: add_menu_page(theme_name.' Settings', theme_name ,'switch_themes', 'panel' 
    Fichier admin-functions.php :
    Line 181: $theme_page = add_submenu_page('panel',theme_name.' Settings', theme_name.' Settings','sw
    Line 182: //add_submenu_page('panel', theme_name, 'Pricing Tables', 'switch_themes', 'p
    Line 183: add_submenu_page('panel',theme_name.' Documentation', 'Documentation','swit
    Fichier admin-functions.php :
    Line 181: $theme_page = add_submenu_page('panel',theme_name.' Settings', theme_name.' Settings','sw
    Line 182: //add_submenu_page('panel', theme_name, 'Pricing Tables', 'switch_themes', 'p
    Line 183: add_submenu_page('panel',theme_name.' Documentation', 'Documentation','swit
    Fichier admin-functions.php :
    Line 181: $theme_page = add_submenu_page('panel',theme_name.' Settings', theme_name.' Settings','sw
    Line 182: //add_submenu_page('panel', theme_name, 'Pricing Tables', 'switch_themes', 'p
    Line 183: add_submenu_page('panel',theme_name.' Documentation', 'Documentation','swit
  9. Fonctions obsolètes : wp_get_http wp_get_http trouvé dans le fichier wordpress-importer.php . Obsolète depuis la version de la 4.4. Il est prérable d'utiliser WP_Http à la place.
    Line 871: $headers = wp_get_http( $url, $upload['file'] );
  10. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip mechanic-slider.zip mechanic-portfolio.zip shortcode.zip a été trouvé.
Attention
  1. tags du thème : Présence de tags inconnusLe tag dark est obsolète, il ne doit pas figurer dans le header de style.css.Le tag light est obsolète, il ne doit pas figurer dans le header de style.css.
  2. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction esc_attr_e, avec les arguments dans le fichier customizer.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'mechanic' dans le fichier shipping-calculator.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'mechanic' dans le fichier cart-totals.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont Smaug, mechanic, tgmpa, radium, wp-pagenavi, arizona, woocommerce.
  3. Contextes de plugin : Fonctionnalités de pluginLe thème utilise la fonction add_shortcode(). L'utilisation des custom post-content shortcodes est du domaine des plugins.
  4. Répertoires indésirables : Répertoire de control de version GITGIT revision control directory.git a été trouvé.
  5. Fichiers indésirables : fichiers ou dossiers cachés.git a été trouvé.
  6. Barre d'admin cachée : Barre d'admin cachée dans CSSLes thèmes ne doivent pas cacher la barre d'admin. Détecté dans le fichier style.css.
  7. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  8. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  9. Editor style : Présence de l'édition de styleAucune référence à add_editor_style() n'a été trouvée dans le thème. Il est recommandé que le thème implémente l'édition de style, de manière à faire correspondre le contenu de l'éditeur l'affichage dans le thème.
  10. Implémentation de l'internationalisation : Utilisation correcte de _e(La variable $control a été trouvée dans une fonction de traduction dans le fichier customizer.php . Les appels de fonctions de traduction ne doivent pas contenir de variables PHP.
    Line 33: <a class='choose-from-library-link button' data-controller = '<?php esc_attr_e( key($control) ); ?>'><?php _e( 'Open Library', 'mechanic'); ?></a>
  11. Implémentation de l'internationalisation : Utilisation correcte de ___al(La variable $cvalue a été trouvée dans une fonction de traduction dans le fichier shipping-calculator.php . Les appels de fonctions de traduction ne doivent pas contenir de variables PHP.
    Line 54: echo '<option value='' . esc_attr( $ckey ) . '' ' . selected( $current_r, $ckey, false ) . '>' . __( esc_html( $cvalue ), 'mechanic' ) .'</option>';
  12. Implémentation de l'internationalisation : Utilisation correcte de esc_attr_e(La variable $control a été trouvée dans une fonction de traduction dans le fichier customizer.php . Les appels de fonctions de traduction ne doivent pas contenir de variables PHP.
    Line 33: <a class='choose-from-library-link button' data-controller = '<?php esc_attr_e( key($control) ); ?>'><?php _e( 'Open Library', 'mechanic'); ?><
  13. Fichiers CSS : Présence de text domainLa déclaration Text Domain: manque dans le header du fichier style.css.
  14. Fichiers CSS : Présence de la classe .screen-reader-textLa class css .screen-reader-text est nécessaire dans le css du thème. Voir : le Codex pour un exemple d'implémentation.
  15. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  5. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  6. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  7. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  8. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  9. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  10. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  11. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : archive.php
    Line 55: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : init.php
    Line 6: require_once(  dirname( __FILE__ ) .'/importer/radium-importer.php' ); //lo
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : radium-importer.php
    Line 254: require_once($class_wp_importer);
    Line 269: require_once($class_wp_import);
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : index.php
    Line 44: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : google_font_list.php
    Line 5: require ('google-fonts.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : customizer.php
    Line 802: require_once('google_font_list.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : widgets.php
    Line 812: if(!require_once('twitteroauth.php')){ 
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : ui.php
    Line 4: require_once( $parse_uri[0] . 'wp-load.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : shortcode.php
    Line 2073: if (!require_once(get_template_directory() . '/library/functions/twitteroauth.ph
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : admin-functions.php
    Line 90: require ('google-fonts.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : portfolio_loop.php
    Line 177: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?> 
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : search.php
    Line 52: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : blog-template.php
    Line 32: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : taxonomy-portfolio_category.php
    Line 140: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?> 
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : dynamic-styles.php
    Line 3: require_once( $parse_uri[0] . 'wp-load.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.

Ceci est un thème distribué surThemeForest. Etant donné que tous les thèmes de Themeforest sont validés par un humain avant d'être mis en ligne, les règles de vérification de Themeforest sont plus permissives que celles de themecheck et peuvent donner un meilleur score de vérification ( Themeforest requirements ).

0
Alertes critiques
  1. Customizer : Sanitization des Customizer settings Un setting Customizer a été trouvé sans callback de sanitization dans le fichier customizer.php. Tous les appels à la méthode add_setting() doivent déclarer une fonction de filtrage.
  2. Title : Title Les tags <title> ne peuvent contenir qu'un appe à wp_title(). wp_title filter soit être utilisée pour modifier la sortie.
  3. Code malveillant : Opérations réseau curl_init trouvé dans le fichier twitteroauth.php.
    Line 1085: $ci = curl_init();
    curl_exec trouvé dans le fichier twitteroauth.php.
    Line 1111: $response = curl_exec($ci);
  4. Fonctions obsolètes : wp_get_http wp_get_http trouvé dans le fichier wordpress-importer.php . Obsolète depuis la version de la 4.4. Il est prérable d'utiliser WP_Http à la place.
    Line 871: $headers = wp_get_http( $url, $upload['file'] );
  5. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip mechanic-slider.zip mechanic-portfolio.zip shortcode.zip a été trouvé.
Attention
  1. tags du thème : Présence de tags inconnusLe tag dark est obsolète, il ne doit pas figurer dans le header de style.css.Le tag light est obsolète, il ne doit pas figurer dans le header de style.css.
  2. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier example.php.Une fonction de traduction utilisée sans text-domain. Fonction esc_attr_e, avec les arguments dans le fichier customizer.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin installing plugin', 'Begin installing plugins' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction _n_noop, avec les arguments 'Begin activating plugin', 'Begin activating plugins' dans le fichier functions.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'mechanic' dans le fichier shipping-calculator.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments 'mechanic' dans le fichier cart-totals.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont Smaug, mechanic, tgmpa, radium, wp-pagenavi, arizona, woocommerce.
  3. Contextes de plugin : Fonctionnalités de pluginLe thème utilise la fonction add_shortcode(). L'utilisation des custom post-content shortcodes est du domaine des plugins.
  4. Répertoires indésirables : Répertoire de control de version GITGIT revision control directory.git a été trouvé.
  5. Fichiers indésirables : fichiers ou dossiers cachés.git a été trouvé.
  6. Barre d'admin cachée : Barre d'admin cachée dans CSSLes thèmes ne doivent pas cacher la barre d'admin. Détecté dans le fichier style.css.
  7. Fichiers CSS : Présence de text domainLa déclaration Text Domain: manque dans le header du fichier style.css.
  8. Fichiers CSS : Présence de la classe .screen-reader-textLa class css .screen-reader-text est nécessaire dans le css du thème. Voir : le Codex pour un exemple d'implémentation.
  9. Screenshot : Copie d'écranLa taille du screenshot est 880x660px. La taille recommandée est 1200x900, pour prendre en compte les affichages HiDPI. Bien qu'une résolution de 1200x900 soit recommandée, toutes les images au format 4:3 sont acceptables.Mauvaise extension de fichier screenshot ! Le fichier screenshot.png n'est pas un véritable fichier JPG. Le type détecté est : "image/png".
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template de page d'accueil home.phpCe thème ne contient pas le fichier optionnel home.php.
  4. Fichiers optionnels : Présence du fichier-template de catégorie category.phpCe thème ne contient pas le fichier optionnel category.php.
  5. Fichiers optionnels : Présence du fichier-template des tags tag.phpCe thème ne contient pas le fichier optionnel tag.php.
  6. Fichiers optionnels : Présence du fichier template de taxinomie taxonomy.phpCe thème ne contient pas le fichier optionnel taxonomy.php.
  7. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  8. Fichiers optionnels : Présence de du fichier-template des dates et heures date.phpCe thème ne contient pas le fichier optionnel date.php.
  9. Fichiers optionnels : Présence du fichier-template des pièces jointes attachment.phpCe thème ne contient pas le fichier optionnel attachment.php.
  10. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  11. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : archive.php
    Line 55: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : init.php
    Line 6: require_once(  dirname( __FILE__ ) .'/importer/radium-importer.php' ); //lo
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : radium-importer.php
    Line 254: require_once($class_wp_importer);
    Line 269: require_once($class_wp_import);
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : index.php
    Line 44: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : google_font_list.php
    Line 5: require ('google-fonts.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : customizer.php
    Line 802: require_once('google_font_list.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : widgets.php
    Line 812: if(!require_once('twitteroauth.php')){ 
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : ui.php
    Line 4: require_once( $parse_uri[0] . 'wp-load.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : shortcode.php
    Line 2073: if (!require_once(get_template_directory() . '/library/functions/twitteroauth.ph
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : admin-functions.php
    Line 90: require ('google-fonts.php');
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : portfolio_loop.php
    Line 177: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?> 
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : search.php
    Line 52: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : blog-template.php
    Line 32: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : taxonomy-portfolio_category.php
    Line 140: <?php include(mechanic_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?> 
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : dynamic-styles.php
    Line 3: require_once( $parse_uri[0] . 'wp-load.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Autre thèmes vérifiés